ru.bitel.common

## Class SORMUtils

- java.lang.Object
- - ru.bitel.common.SORMUtils

-     public class SORMUtils
      extends java.lang.Object

  Утильный класс, содержащий общеупотребимые методы для выгрузок СОРМ3.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SORMUtils(java.sql.Connection connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getContractIds()` Получение списка id договоров, которые будут участвовать в выгрузке.
    `void` | `logErrorToEmail(Setup setup, java.lang.Exception ex, java.lang.String subject)` В случае возникновения любой ошибки формируется письмо, которое отправляется на почту администратору.
    `void` | `send2FTP(java.io.InputStream is, java.lang.String filename, java.lang.String ftpPath)` Отправка сформированных данных по фтп
    `java.lang.String` | `trimField(java.lang.String value, int length)` Обрезает строку до указанной длины.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SORMUtils

          public SORMUtils(java.sql.Connection connection)

  - ### Method Detail

    - #### send2FTP

          public void send2FTP(java.io.InputStream is,
                               java.lang.String filename,
                               java.lang.String ftpPath)
                        throws ru.bitel.bgbilling.common.BGException

      Отправка сформированных данных по фтп
      Parameters:
        `is` - поток данных для отправки.
        `filename` - Имя файла, которое будет присвоено на ftp-машине
        `ftpPath` - путь на удаленной машине, куда следует сохранить файл. Если данного пути не существует, то он создасться автоматически.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractIds

          public java.util.List<java.lang.Integer> getContractIds()
                                                           throws java.sql.SQLException

      Получение списка id договоров, которые будут участвовать в выгрузке. Критерий - договоры, которые действуют или действовали последние 3 года.
      Throws:
        `java.sql.SQLException`

    - #### logErrorToEmail

          public void logErrorToEmail(Setup setup,
                                      java.lang.Exception ex,
                                      java.lang.String subject)
                               throws ru.bitel.bgbilling.common.BGException

      В случае возникновения любой ошибки формируется письмо, которое отправляется на почту администратору. Email задается в конфигурации сервера в параметре alarm.mail
      Parameters:
        `setup` - конфигурация биллинга
        `ex` - экземпляр исключения. Из него берется сообщение об ошибке, а также печатается стектрейс
        `subject` - тема письма. Например, ошибка при выгрузке такого то файла, при формировании такого то списка и т.д.
      Throws:
        `ru.bitel.bgbilling.common.BGException` - если возникнет ошибка при непосредственной отправке email.

    - #### trimField

          public java.lang.String trimField(java.lang.String value,
                                            int length)

      Обрезает строку до указанной длины.
      Parameters:
        `value` - строка, длину которой, возможно, нужно сократить
        `length` - длина, до которой обрезаем строку
      Returns: